// Wrapper around leaflet -> https://react-leaflet.js.org/docs/start-setup/
import { MapContainer, Marker, Popup, SVGOverlay, TileLayer } from 'react-leaflet'
import MapBoxExample from './MapBoxExample'

const LeafletExample = () => {

    return (
        <>
            <h1>Leaflet Example</h1>
            <MapContainer style={ { height: 450 } } center={ [51.505, -0.09] } zoom={ 13 }>
                <TileLayer
                    attribution='&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
                    url="https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
                />
                <Marker position={ [51.505, -0.09] }>
                    <Popup>
                        <MapBoxExample />
                    </Popup>
                </Marker>
            </MapContainer>
        </>
    )
}

export default LeafletExample